//
//  UpdateWindowController.h
//  FIPUpdateFramework
//
//  Created by Frankie Laguna on 4/15/13.
//  Copyright (c) 2013 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface FIPUpdateWindowController : NSWindowController<NSWindowDelegate>
@property (strong, nonatomic) NSArray *appArray;

@property (unsafe_unretained) IBOutlet NSView *containerView;
@property (unsafe_unretained) IBOutlet NSTextField *titleLabel;
@property (unsafe_unretained) IBOutlet NSTextField *emailField;
@property (unsafe_unretained) IBOutlet NSButton *dismissButton;
- (IBAction)dismiss:(id)sender;

/* App 1 */
@property (unsafe_unretained) IBOutlet NSButton *app1ButtonOverlay;
@property (unsafe_unretained) IBOutlet NSImageView *app1ImageView;
@property (unsafe_unretained) IBOutlet NSTextField *app1NameLabel;
- (IBAction)app1Clicked:(id)sender;

/* App 2 */
@property (unsafe_unretained) IBOutlet NSButton *app2ButtonOverlay;
@property (unsafe_unretained) IBOutlet NSImageView *app2ImageView;
@property (unsafe_unretained) IBOutlet NSTextField *app2NameLabel;
- (IBAction)app2Clicked:(id)sender;

/* App 3 */
@property (unsafe_unretained) IBOutlet NSButton *app3ButtonOverlay;
@property (unsafe_unretained) IBOutlet NSImageView *app3ImageView;
@property (unsafe_unretained) IBOutlet NSTextField *app3NameLabel;
- (IBAction)app3Clicked:(id)sender;


@end
