//
//  FLLabel.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/4/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import "FLView.h"

@interface FLLabel : FLView<NSCopying>{
  NSString *_text;
}

@property(copy, nonatomic) NSString *text;
@property(strong, nonatomic) NSAttributedString *attributedString;
@property(strong, nonatomic) NSFont *font;
@property(strong, nonatomic) NSColor *textColor;
@property(nonatomic) NSTextAlignment textAlignment;
@property(nonatomic) NSEdgeInsets edgeInsets;

//Shadow
@property(nonatomic) CGSize shadowOffset;
@property(nonatomic) CGFloat shadowBlurRadius;
@property(strong, nonatomic) NSColor *shadowColor;

@end
