//
//  FLNavigationButton.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/4/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import "FLButton.h"

typedef enum{
  LineSide_None = 0,
  LineSide_Left,
  LineSide_Right
} LineSide;

@interface FLNavigationButton : FLButton
@property(copy, nonatomic) NSString *imageName;
@property(copy, nonatomic) NSString *highlightImageName;
@property(copy, nonatomic) NSString *activeImageName;

@property(strong, nonatomic) NSColor *lineColor;
@property(strong, nonatomic) NSColor *lineColorLight;

@property(nonatomic, readonly) CGSize buttonSize;

@property(nonatomic) LineSide lineSide;

-(id)initWithImageName:(NSString *)imageName
    highlightImageName:(NSString *)highlightImageName
       activeImageName:(NSString *)activeImageName;
@end
