//
//  FLSliderView.h
//  FLKit
//
//  Created by Frankie Laguna on 10/10/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface FLSliderView : NSControl
//Values
@property(nonatomic) CGFloat maxValue;
@property(nonatomic) CGFloat minValue;
@property(nonatomic) CGFloat currentValue;

//Track/Bar color
@property(strong, nonatomic) NSColor *trackColor;
@property(strong, nonatomic) NSColor *trackBorderColor;

//Ticks
@property(strong, nonatomic) NSColor *tickColor;
@property(nonatomic) CGFloat totalTicks;

@end
