//
//  FLViewController.h
//  NotesTab
//
//  Created by Frankie Laguna on 9/28/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

@class FLView, FLNavigationController, FLNavigationBar, FLWindow;

@interface FLViewController : NSViewController
@property(strong, nonatomic, readonly) FLView *contentView;

@property(weak, nonatomic) FLNavigationController *navigationController;
@property(strong, nonatomic) FLNavigationBar *navigationBar;
@property(unsafe_unretained, nonatomic) FLWindow *window;

@property(nonatomic) BOOL isAppearing;
@property(nonatomic) BOOL isViewLoaded;
@property(nonatomic, readonly) BOOL isVisibleViewController;

+(id)controller;

//View methods
-(void)viewDidLoad;
-(void)viewWillAppear:(BOOL)animated;
-(void)viewWillDisappear:(BOOL)animated;
-(void)viewDidAppear:(BOOL)animated;
-(void)viewDidDisappear:(BOOL)animated;

@end
