//
//  FLNavigationController.h
//  NotesTab
//
//  Created by Frankie Laguna on 10/2/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "FLNavigationBar.h"

@class FLView, FLViewController, FLWindow;

@interface FLNavigationController : NSObject<FLNavigationBarDelegate>
@property(strong, nonatomic) NSArray *viewControllers;
@property(strong, nonatomic) FLView *view;

@property(strong, nonatomic) FLViewController *visibleViewController;
@property(strong, nonatomic, readonly) FLViewController *topViewController;

@property(strong, nonatomic) FLNavigationBar *navigationBar;

@property(nonatomic) BOOL showsArrow;

//Other
@property(strong, nonatomic) NSColor *backgroundColor;

-(id)initWithWindow:(FLWindow *)window rootViewController:(FLViewController *)controller;

//Stack Management
-(void)pushViewController:(FLViewController *)controller animated:(BOOL)animated;
-(void)popViewControllerAnimated:(BOOL)animated;
@end
