//
//  FLSplitView.h
//  FLKit
//
//  Created by Frankie Laguna on 10/10/12.
//  Copyright (c) 2012 FIPLAB Ltd. All rights reserved.
//

#import <FLKit/FLKit.h>

typedef enum : NSInteger{
  FLSplitViewControllerPosition_Left = 0,
  FLSplitViewControllerPosition_Right
} FLSplitViewControllerPosition;

@interface FLSplitViewController : NSObject
@property(strong, nonatomic) NSArray *viewControllers;
@property(strong, nonatomic) FLView *view;
@property(strong, nonatomic) NSMutableArray *navigationBars;

-(id)initWithWindow:(FLWindow *)window viewControllers:(NSArray *)viewControllers;
@end
